# Generated by Django 3.2.11 on 2022-01-26 08:48

import cms.models.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import filer.fields.image
import mixins.fields
import swapper


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.FILER_IMAGE_MODEL),
        ('cms', '0022_auto_20180620_1551'),
    ]

    operations = [
        migrations.CreateModel(
            name='Author',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', mixins.fields.AutoDateTimeField(default=django.utils.timezone.now)),
                ('name', models.CharField(max_length=255)),
                ('slug', models.SlugField(max_length=255, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', mixins.fields.AutoDateTimeField(default=django.utils.timezone.now)),
                ('name', models.CharField(max_length=255)),
                ('slug', models.SlugField(max_length=255, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', mixins.fields.AutoDateTimeField(default=django.utils.timezone.now)),
                ('name', models.CharField(max_length=255)),
                ('slug', models.SlugField(max_length=255, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Article',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', mixins.fields.AutoDateTimeField(default=django.utils.timezone.now)),
                ('is_published', models.BooleanField(default=False, help_text='Selecting this option will publish this item')),
                ('publish_at', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('title', models.CharField(max_length=255)),
                ('slug', models.SlugField(max_length=255, unique=True)),
                ('intro', models.CharField(max_length=255)),
                ('meta_title', models.CharField(blank=True, max_length=160)),
                ('meta_description', models.CharField(blank=True, max_length=255)),
                ('plugin_text', models.TextField(blank=True, editable=False)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='giant_news_articles', to='giant_news.author')),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='giant_news_articles', to='giant_news.category')),
                ('content', cms.models.fields.PlaceholderField(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='giant_news_article_content', slotname='article_content', to='cms.placeholder')),
                ('photo', filer.fields.image.FilerImageField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='giant_news_article_images', to=settings.FILER_IMAGE_MODEL)),
                ('tags', models.ManyToManyField(related_name='giant_news_article_tags', to='giant_news.Tag', verbose_name='Tags')),
            ],
            options={
                'verbose_name': 'Article',
                'verbose_name_plural': 'Articles',
                'ordering': ['-publish_at'],
                'abstract': False,
                'swappable': swapper.swappable_setting('giant_news', 'Article'),
            },
        ),
    ]
